@import "../vars";

body {
  background-color: #f5f5f5;
}

.main-container {
  height: 100vh;
}

.card-form {
  box-shadow: 0 2px 10px 0 rgba(0, 0, 0, 0.1);
}

.form-group {
  position: relative !important;
}

.form-label {
  position: absolute !important;
  left: 0 !important;
  top: 10px;
  background-color: #fff;
  z-index: 10;
  transition: transform 150ms ease-out, font-size 150ms ease-out;
}

.focused .form-label {
  transform: translateY(-100%);
  font-size: 0.75em;
}

.form-control {
  position: relative !important;
  padding: 12px 0 5px 0;
  width: 100%;
  outline: 0;
  border: 0;
  border-radius: 0;
  box-shadow: 0 1px 0 0 #e5e5e5;
  transition: box-shadow 150ms ease-out;

  .is-invalid {
    box-shadow: 0 2px 0 0 red;
  }
}

.form-control.filled {
  box-shadow: 0 2px 0 0 $bright-navy-blue;
}

.form-control:focus {
  box-shadow: 0 2px 0 0 $bright-navy-blue !important;
}
